co.aikar.commands

## Class JDACommandManagerBuilder

- java.lang.Object
- - co.aikar.commands.JDACommandManagerBuilder

    public class JDACommandManagerBuilder
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`JDACommandManagerBuilder(net.dv8tion.jda.core.JDA jda)`

### Method Summary

All Methods Instance Methods Concrete Methods
`JDACommandManagerBuilder` `configProvider(@NotNull CommandConfigProvider configProvider)`
`JDACommandManager` `create()`
`JDACommandManagerBuilder` `defaultConfig(@NotNull CommandConfig defaultConfig)`
`JDACommandManagerBuilder` `permissionResolver(@NotNull CommandPermissionResolver permissionResolver)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### JDACommandManagerBuilder

    public JDACommandManagerBuilder(net.dv8tion.jda.core.JDA jda)

### Method Detail

#### defaultConfig

    public JDACommandManagerBuilder defaultConfig(@NotNull
                                                  @NotNull CommandConfig defaultConfig)

#### configProvider

    public JDACommandManagerBuilder configProvider(@NotNull
                                                   @NotNull CommandConfigProvider configProvider)

#### permissionResolver

    public JDACommandManagerBuilder permissionResolver(@NotNull
                                                       @NotNull CommandPermissionResolver permissionResolver)

#### create

    public JDACommandManager create()